低危 procps-ng套件libprocps库本地权限提升漏洞

CVE编号

CVE-2018-1124

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-05-24 02:29:00
漏洞描述
procps-ng是一款使用在Linux平台中的用于提供proc文件系统进程信息的实用程序。 procps-ng 3.3.15之前版本中的‘file2strvec’函数存在整数溢出漏洞。本地攻击者可利用该漏洞破坏堆并提升权限,造成proc实用程序崩溃或执行任意代码。
解决建议
目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:
https://gitlab.com/procps-ng/procps
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 procps-ng_project procps-ng * Up to
(excluding)
3.3.15
2
运行在以下环境
应用 schneider-electric struxureware_data_center_expert * Up to
(excluding)
7.6.0
3
运行在以下环境
系统 alpine_edge upx * Up to
(excluding)
3.96-r0
4
运行在以下环境
系统 alpine_3.13 upx * Up to
(excluding)
3.96-r0
5
运行在以下环境
系统 opensuse_Leap_15.1 upx * Up to
(excluding)
3.96-lp151.3.3.1
6
运行在以下环境
系统 alpine_3.12 upx * Up to
(excluding)
3.96-r0
7
运行在以下环境
系统 debian_9 upx * Up to
(excluding)
2:3.3.12-3+deb9u1
8
运行在以下环境
系统 debian_8 upx * Up to
(excluding)
2:3.3.9-9+deb8u1
9
运行在以下环境
系统 debian_7 upx * Up to
(excluding)
1:3.3.3-3+deb7u1
10
运行在以下环境
系统 suse_11_SP4 upx * Up to
(excluding)
3.2.7-152.31.1
11
运行在以下环境
系统 amazon_2 upx * Up to
(excluding)
3.3.10-17.amzn2.2
12
运行在以下环境
系统 suse_12_SP3 upx * Up to
(excluding)
3.3.9-11.18.1
13
运行在以下环境
系统 suse_12_SP4 upx * Up to
(excluding)
3.3.9-11.18.1
14
运行在以下环境
系统 fedora_EPEL_7 upx * Up to
(excluding)
3.96-1.el7
15
运行在以下环境
系统 oracle_6 upx * Up to
(excluding)
3.2.8-45.0.1.el6_9.3
16
运行在以下环境
系统 centos_6 upx * Up to
(excluding)
3.2.8-45.el6_9.3
17
运行在以下环境
系统 opensuse_Leap_42.3 upx * Up to
(excluding)
3.3.9-23.1
18
运行在以下环境
系统 opensuse_Leap_15.0 upx * Up to
(excluding)
3.3.15-lp150.5.3.1
19
运行在以下环境
系统 fedora_EPEL_8 upx * Up to
(excluding)
3.96-1.el8
20
运行在以下环境
系统 fedora_31 upx * Up to
(excluding)
3.96-2.fc31
21
运行在以下环境
系统 fedora_30 upx * Up to
(excluding)
3.96-1.fc30
22
运行在以下环境
系统 centos_7 upx * Up to
(excluding)
3.3.10-17.el7_5.2
23
运行在以下环境
系统 oracle_7 upx * Up to
(excluding)
3.3.10-17.el7_5.2
24
运行在以下环境
系统 fedora_27 upx * Up to
(excluding)
3.3.10-16.fc27
25
运行在以下环境
系统 fedora_28 upx * Up to
(excluding)
3.3.12-2.fc28
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-190 整数溢出或超界折返
CWE-787 跨界内存写
阿里云安全产品覆盖情况